API Reference
Get a specific competition report for a topic
X-API-Key<token>
API Key for programmatic access
In: header
Path Parameters
domainId*string
Domain ID
topicId*string
Topic ID
reportId*string
Report ID
Query Parameters
models*string
Response Body
application/json
curl -X GET "https://example.com/api/domains/507f1f77bcf86cd799439011/topics/507f1f77bcf86cd799439012/competition/507f1f77bcf86cd799439013?models=string"{ "name": "Nike", "competitors": [ "Adidas", "Puma" ], "availableModels": [ "chatgpt", "claude" ], "competitorInsights": [ { "competitor": "Adidas", "strengthsCount": 12, "weaknessesCount": 5, "topStrengths": [ "Cushioning", "Brand trust" ], "topWeaknesses": [ "Price" ], "winRate": { "wins": 28, "losses": 11, "ties": 3, "total": 42, "winPercentage": 67 }, "byModel": { "chatgpt": { "topStrengths": [ "Cushioning" ], "topWeaknesses": [], "winner": "brand" } } } ], "commonStrengths": [ "Cushioning" ], "commonWeaknesses": [ "Price" ], "totalAnswers": 126, "overallWinRate": { "wins": 28, "losses": 11, "ties": 3, "total": 42, "winPercentage": 67 }, "citations": { "items": [ { "domain": "techcrunch.com", "url": "https://techcrunch.com/2026/01/10/running-shoes", "title": "The best running shoes of 2026", "prompts": [ "Nike vs Adidas running shoes" ], "models": [ "chatgpt", "claude" ], "count": 7, "text": "Testers favoured the lighter midsole..." } ], "uniqueDomains": 34, "totalCitations": 218 }, "reportDate": "2026-05-25T10:30:00.000Z", "reportId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"}